## unrar-fm 0.1-1

=== Makefile ===
# Uncomment for debugging
#DEBUG=1

CC = gcc -c
ifndef DEBUG
CFLAGS += -s -O2
else
CFLAGS += -g
endif
CFLAGS_ALWAYS += \
	$(shell pkg-config --cflags glib-2.0) \
	$(shell pkg-config --cflags gtk+-2.0) \
	$(shell pkg-config --cflags hildon-1) \
	$(shell pkg-config --cflags dbus-1) \
	$(shell pkg-config --cflags libosso)
LD = gcc
ifndef DEBUG
LDFLAGS += -s
else
LDFLAGS += -g
endif
LDFLAGS_ALWAYS += \
	$(shell pkg-config --libs glib-2.0) \
	$(shell pkg-config --libs gtk+-2.0) \
	$(shell pkg-config --libs hildon-1) \
	$(shell pkg-config --libs dbus-1) \
	$(shell pkg-config --libs libosso)

all: unrar-fm

clean:
	rm -f unrar-fm *.o

install:

unrar-fm: unrar-fm.o
	$(LD) $(LDFLAGS) $(LDFLAGS_ALWAYS) -o $@ $^

%.o: %.c
	$(CC) $(CFLAGS) $(CFLAGS_ALWAYS) -o $@ $<

=== debian/changelog ===
unrar-fm (0.1-1) fremantle; urgency=low

  * Oops, fixed bugtracker link :P

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Mon, 06 Sep 2010 19:38:25 +0300

unrar-fm (0.1) fremantle; urgency=low

  * Initial Release

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Mon, 06 Sep 2010 18:32:54 +0300

=== debian/control ===
Source: unrar-fm
Section: user/utilities
Priority: extra
Maintainer: Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>
Build-Depends: cdbs, debhelper (>= 5), libgtk2.0-dev, hildon-libs-dev | libhildon1-dev, libglib2.0-dev, libosso-dev
Standards-Version: 3.7.2
XB-Maemo-Display-Name: Unrar add-on for the File Manager
XSBC-Bugtracker: mailto:mohammad7410@gmail.com

Package: unrar-fm
Architecture: any
Depends: ${shlibs:Depends}, unrar
Description: A simple file-manager add-on to unrar files by clicking on them
 Creates a directory based on archive name and unpacks the contents of the archive into that directory.
 Code based on unzip-fm.
 .
 Warning, package depends on non-free package due to compatibility reasons: unrar
